## net.sf.saxon.type
Class StringToDouble

    java.lang.Object
      net.sf.saxon.type.StringToDouble

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  StringToDouble11

    public class StringToDouble

extends Object
implements Serializable

This class converts a string to an xs:double according to the rules in XML Schema 1.0

See Also:
  Serialized Form

Constructor Summary
`protected` `StringToDouble()`

Method Summary
`static StringToDouble` `getInstance()` Get the singleton instance
`protected double` `signedPositiveInfinity()`
`double` `stringToNumber(CharSequence s)` Convert a string to a double.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToDouble

    protected StringToDouble()

Method Detail

### getInstance

    public static StringToDouble getInstance()

  Get the singleton instance

  Returns:
    the singleton instance of this class

### stringToNumber

    public double stringToNumber(CharSequence s)
                          throws NumberFormatException

  Convert a string to a double.

  Parameters:
    `s` - the String to be converted
  Returns:
    a double representing the value of the String
  Throws:
    `NumberFormatException` - if the value cannot be converted

### signedPositiveInfinity

    protected double signedPositiveInfinity()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.